# Delete documents Soft-deletes one or more documents; deleted documents remain retrievable when includeDeleted is set. Request: ids - List of internal document IDs to soft-delete. externalIds - List of external IDs to soft-delete by (alternative to ids). Response: ids - IDs of the documents that were successfully deleted. Endpoint: POST /api/v1/document/delete Version: 3.0 Security: bearerAuth ## Request fields (application/json): - `ids` (array) - `externalIds` (array) ## Response 200 fields (application/json): - `ids` (array) ## Response 400 fields (application/json): - `message` (string) ## Response 401 fields (application/json): - `message` (string) ## Response 403 fields (application/json): - `message` (string) ## Response 404 fields (application/json): - `message` (string) ## Response 409 fields (application/json): - `message` (string) ## Response 429 fields (application/json): - `message` (string) ## Response 499 fields (application/json): - `message` (string) ## Response 500 fields (application/json): - `message` (string) ## Response 501 fields (application/json): - `message` (string) ## Response 503 fields (application/json): - `message` (string) ## Response 504 fields (application/json): - `message` (string)